<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 
if (isset($_GET['start'])) {
  $start = abs(intval($_GET['start']));
} else {
  $start = 0;
} 

show_title('site.png', 'Мой профиль');
$config['newtitle'] = 'Мой профиль';

if (is_user()) {
  switch ($act):
  # ###########################################################################################
  # #                                    Главная страница                                    ##
  # ###########################################################################################
  case 'index':

    echo '<img src="../images/img/document.gif" alt="image" /> ';
    echo '<a href="anketa.php?' . SID . '">Моя анкета</a> / ';
    echo '<b>Мой профиль</b> / ';
    echo '<a href="account.php?' . SID . '">Мои данные</a><hr />';

    echo '<div class="form">';
    echo '<form method="post" action="profil.php?act=edit&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">';

    if (!empty($udata['users_picture']) && file_exists(BASEDIR . 'gallery/photos/' . $udata['users_picture'])) {
      echo '<div class="imgright"><a href="../gallery/photos/' . $udata['users_picture'] . '">';
      echo '<img src="../gallery/resize.php?dir=gallery/photos&amp;name=' . $udata['users_picture'] . '" alt="Фото" /></a>';
      echo '<br /><a href="pictures.php?' . SID . '">Изменить</a>/<a href="pictures.php?act=del&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '">Удалить</a></div>';
    } else {
      echo '<div class="imgright">';
      echo '<img src="../images/img/photo.jpg" alt="Фото" />';
      echo '<br /><a href="pictures.php?' . SID . '">Загрузить фото</a></div>';
    } 

    echo 'Имя:<br /><input name="name" maxlength="20" value="' . $udata['users_name'] . '" /><br />';
    echo 'Страна:<br /><input name="country" maxlength="30" value="' . $udata['users_country'] . '" /><br />';
    echo 'Откуда:<br /><input name="city" maxlength="50" value="' . $udata['users_city'] . '" /><br />';
    echo 'ICQ:<br /><input name="icq" maxlength="10" value="' . $udata['users_icq'] . '" /><br />';
    echo 'Jabber:<br /><input name="jabber" maxlength="50" value="' . $udata['users_jabber'] . '" /><br />';
    echo 'Сайт:<br /><input name="site" maxlength="50" value="' . $udata['users_site'] . '" /><br />';
    echo 'Дата рождения (дд.мм.гггг):<br /><input name="birthday" maxlength="10" value="' . $udata['users_birthday'] . '" /><br />';

    echo 'Аватар: ' . user_avatars($log) . '<br />';
    echo '<a href="avatars.php?' . SID . '">Изменить</a> / <a href="avatars.php?act=buy&amp;' . SID . '">Купить</a> / <a href="avatars.php?act=load&amp;' . SID . '">Загрузить</a><br />';

    echo 'Пол:<br />';
    echo '<select name="gender">';
    $selected = ($udata['users_gender'] == "М") ? ' selected="selected"' : '';
    echo '<option value="М"' . $selected . '>Мужской</option>';
    $selected = ($udata['users_gender'] == "Ж") ? ' selected="selected"' : '';
    echo '<option value="Ж"' . $selected . '>Женский</option>';
    echo '</select><br />';

    echo 'О себе:<br />';
    $udata['users_info'] = str_replace('<br />', "\r\n", $udata['users_info']);
    echo '<textarea cols="25" rows="3" name="info">' . $udata['users_info'] . '</textarea><br />';

    echo '<input value="Изменить" type="submit" /></form></div><br />';
    break;
  # ###########################################################################################
  # #                                       Изменение                                        ##
  # ###########################################################################################
  case 'edit':

    $uid = check($_GET['uid']);
    $name = check($_POST['name']);
    $country = check($_POST['country']);
    $city = check($_POST['city']);
    $icq = check($_POST['icq']);
    $jabber = check($_POST['jabber']);
    $site = check($_POST['site']);
    $birthday = check($_POST['birthday']);
    $gender = check($_POST['gender']);
    $info = check($_POST['info']);

    if ($uid == $_SESSION['token']) {
      if (preg_match('#^http://([a-z0-9_\-\.])+(\.([a-z0-9\/])+)+$#', $site) || empty($site)) {
        if (preg_match('#^[0-9]{2}+\.[0-9]{2}+\.[0-9]{4}$#', $birthday) || empty($birthday)) {
          if (preg_match('#^([a-z0-9_\-\.])+\@([a-z0-9_\-\.])+(\.([a-z0-9])+)+$#', $jabber) || empty($jabber)) {
            if ($gender == 'М' || $gender == 'Ж') {
              if (utf_strlen($info) <= 1000) {
                $name = utf_substr($name, 0, 20);
                $country = utf_substr($country, 0, 30);
                $city = utf_substr($city, 0, 50);
                $icq = intval(str_replace('-', '', $icq));
                $info = no_br($info);

                DB :: $dbh -> query("UPDATE users SET users_name=?, users_country=?, users_city=?, users_icq=?, users_jabber=?, users_site=?, users_birthday=?, users_gender=?, users_info=? WHERE users_login=?;", array($name, $country, $city, $icq, $jabber, $site, $birthday, $gender, $info, $log));

                $_SESSION['note'] = 'Ваш профиль успешно изменен!';
                header ("Location: profil.php?" . SID);
                exit;
              } else {
                show_error('Ошибка! Слишком большая информация о себе, не более 1000 символов!');
              } 
            } else {
              show_error('Ошибка! Вы не указали ваш пол!');
            } 
          } else {
            show_error('Ошибка! Недопустимый формат Jabber, необходим формат name@site.domen!');
          } 
        } else {
          show_error('Ошибка! Недопустимый формат даты рождения, необходим формат дд.мм.гггг!');
        } 
      } else {
        show_error('Ошибка! Недопустимый адрес сайта, необходим формата http://my_site.domen!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo'<img src="../images/img/back.gif" alt="image" /> <a href="profil.php?' . SID . '">Вернуться</a><br />';
    break;

  default:
    header("location: profil.php?" . SID);
    exit;
    endswitch;
  } else {
  show_login('Вы не авторизованы, чтобы изменять свои данные, необходимо');
} 

echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';

include_once ("../themes/" . $config['themes'] . "/foot.php");

?>